channel_verify
POST
Verifies a signature that can be used to redeem a specific amount from a Payment Channel.Use it when the channel's destination wants to check a signature it received before committing it to the ledger.
param[0]
parametersobjectrequired
channel_idstringrequired
The 64-character hex string that identifies the channel to verify against.amountstringrequired
The XRP amount the signature authorizes for redemption, in drops.public_keystringrequired
The public key used to create the signature. Pass it in hex or base58 format.signaturestringrequired
The signature to verify. Pass it in hex format.Responses
signature_verifiedboolean
Whether the signature is valid for the stated amount, channel and public key.A value of true means the signature is valid.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"method": "channel_verify","params": [{"channel_id": "8C0E1B3D5F7A9C0E2D4F6B8A0C1E3D5F7A9B0C2E4D6F8A0B1C3E5D7F9A0B2C4E","amount": "1000000","public_key": "aB44YfzW24VDEJQ2UuLPV2PvqcPCSoLnL7y5M1EzhdW4LnK5xoDf","signature": "304402204E7052F7614C6C4A9F0E2B1D3F5A7C9E0B2D4F6A8C0E1B3D5F7A9C0E2D4F6B8A"}]}'